# the core object files (without target specific objects;
# those are added in the target.mak files)
COREOBJS = $(OBJ)/version.o $(OBJ)/mame.o \
	$(OBJ)/drawgfx.o $(OBJ)/common.o $(OBJ)/usrintrf.o $(OBJ)/ui_text.o \
	$(OBJ)/cpuintrf.o $(OBJ)/memory.o $(OBJ)/timer.o $(OBJ)/palette.o \
	$(OBJ)/input.o $(OBJ)/inptport.o $(OBJ)/cheat.o $(OBJ)/unzip.o \
	$(OBJ)/audit.o $(OBJ)/info.o $(OBJ)/png.o $(OBJ)/artwork.o \
	$(OBJ)/tilemap.o $(OBJ)/sprite.o $(OBJ)/gfxobj.o \
	$(OBJ)/state.o $(OBJ)/datafile.o $(OBJ)/hiscore.o \
	$(sort $(CPUOBJS)) \
	$(OBJ)/sndintrf.o \
	$(OBJ)/sound/streams.o $(OBJ)/sound/mixer.o \
	$(sort $(SOUNDOBJS)) \
	$(OBJ)/sound/votrax.o \
	$(OBJ)/machine/z80fmly.o $(OBJ)/machine/6821pia.o \
	$(OBJ)/machine/8255ppi.o \
	$(OBJ)/vidhrdw/generic.o $(OBJ)/vidhrdw/vector.o \
	$(OBJ)/vidhrdw/avgdvg.o $(OBJ)/machine/mathbox.o \
	$(OBJ)/machine/ticket.o $(OBJ)/machine/eeprom.o \
	$(OBJ)/mamedbg.o $(OBJ)/window.o \
	$(OBJ)/profiler.o \
	$(sort $(DBGOBJS))

# Digita, we need to include these in the core if we are going to avoid cross linking with our dynamic loader
COREOBJS += $(OBJ)/sound/fm.o $(OBJ)/sound/fmopl.o $(OBJ)/sound/3812intf.o $(OBJ)/sound/ay8910.o \
	$(OBJ)/sound/ymdeltat.o $(OBJ)/sound/2151intf.o $(OBJ)/sound/ym2151.o $(OBJ)/sound/2203intf.o \
	$(OBJ)/sound/2610intf.o $(OBJ)/sound/2612intf.o $(OBJ)/sound/2608intf.o $(OBJ)/vidhrdw/crtc6845.o \
	$(OBJ)/machine/segacrpt.o

TOOLS = romcmp$(EXE)
TEXTS = gamelist.txt

